# LCN triggers

## Set LCN triggers and contents

In your [Control Panel](https://secure.2checkout.com/cpanel/) account, navigate to **Dashboard** → **Integrations** → **Webhooks and API** and click on the [LCN Settings](https://secure.2checkout.com/cpanel/lcn_settings.php) tab. In the *General LCN Settings* section, under **Triggers**, select the events for which 2Checkout sends notifications.

License Change Notification (LCN) provides automatic notifications for orders from the 2Checkout system, based on the below list of triggers you control.

## LCN Triggers

Here's a list of the events for which you can trigger notifications from Control Panel. You can set the triggers (when the notification will be sent) and what tags (parameters) will be included in the response from [Control Panel](https://secure.2checkout.com/cpanel/lcn_settings.php). Find further information on LCN parameters [here](/2checkout-apis/2checkout-apis/webhooks/license-change-notification-lcn/lcn-parameters.md).

| LCN Triggers                                                | Dispatch reason codes and labels                                                                                                                          | Subscription status                  | Actions that trigger LCN                                                                                                                                                                                                                        |
| ----------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Licenses changes**                                        | <p>LICENCE\_CHANGE - Licence change<br>LICENCE\_GP\_CHANGE - Licence grace period change<br>LICENCE\_PENDING\_ACTIVATION - Licence pending activation</p> | ACTIVE & auto-renewal                | <p>When:<br>- updating Subscription info to change expiration date and recurring enabled/disabled<br>- updating End User details<br>- updating Subscription details: canceling/reactivating the subscription</p>                                |
|                                                             |                                                                                                                                                           | ACTIVE & non-recurring               | <p>When:<br>- updating Subscription details: cancel subscription<br>- updating End User details</p>                                                                                                                                             |
|                                                             |                                                                                                                                                           | ACTIVE & manual payment              | <p>When:<br>- updating Subscription details to cancel/reactivate subscription<br>- updating End User details</p>                                                                                                                                |
|                                                             |                                                                                                                                                           | DISABLED & non-recurring             | <p>When:<br>- updating Subscription details to reactivate/cancel the subscription<br>- updating End user details</p>                                                                                                                            |
|                                                             |                                                                                                                                                           | PENDING ACTIVATION & auto-recurring  | <p>When:<br>- updating Subscription details to reactivate/cancel the subscription<br>- updating Subscription info to disable automatic billing<br>- updating End User details</p>                                                               |
| **Licenses expirations (including past due notifications)** | <p>LICENCE\_EXPIRATION - Licence expiration<br>LICENCE\_PASTDUE - Licence past due</p>                                                                    | EXPIRED or PAST DUE & auto-recurring | <p>When:<br>- updating Subscription details to cancel subscription<br>- updating Subscription info to extend billing cycle expiration<br>- updating Subscription info to stop automatic billing cycle<br>- updating End User details</p>        |
|                                                             |                                                                                                                                                           | EXPIRED/PAST DUE & manual payment    | <p>When:<br>- updating Subscription details: cancel/reactivate subscription<br>- updating Subscription info: extend billing cycle expiration<br>- updating Subscription info to stop automatic billing cycle<br>- updating End User details</p> |
| **Licenses payment method changes**                         | LICENCE\_CHANGE - Licence change                                                                                                                          | ACTIVE & auto-renewal subscription   | when updating Subscription info to change credit card details                                                                                                                                                                                   |
| **Licenses when a Churn Prevention Campaign was accepted**  | LICENCE\_CPC\_ACCEPTED - Churn Prevention Campaign was accepted                                                                                           | ACTIVE                               | <p>When:<br>- accepting a discount proposed through a churn prevention campaign<br>- accepting a discount for enabling autorenewal<br><em>For both situations, the LCN will contain the updated renewal price.</em></p>                         |
| **Licenses changed via import**                             | LICENCE\_CHANGE - Licence change                                                                                                                          | ACTIVE                               | <p>When:<br>- importing a subscription from CSV</p>                                                                                                                                                                                             |
| **Scheduled cancellation event has been registered**        | SCHEDULED\_FOR\_CANCELATION\_ON\_DEMAND - Scheduled cancellation event has been registered                                                                | ACTIVE                               | <p>When:<br>- a shopper with a German billing address requested subscription cancelation</p>                                                                                                                                                    |
| **Scheduled cancellation event has been reverted**          | REVERT\_CANCELATION\_ON\_DEMAND - Scheduled cancellation event has been reverted                                                                          | ACTIVE                               | <p>When:<br>- a shopper with a German billing address has requested subscription cancelation, and then reverted the cancelation request</p>                                                                                                     |
| **Scheduled cancellation actually has taken place**         | CANCELATION\_ON\_DEMAND - Scheduled cancellation actually has taken place                                                                                 | DISABLED                             | <p>When:<br>- the subscription is canceled 28 days after a shopper with a German billing address requested subscription cancelation</p>                                                                                                         |

## LCN triggers - API calls

| Triggers        | API calls that trigger LCN                                                                                                                                                                                                                                                                                                        | API calls that do not trigger LCN                                                    |
| --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| License changes | <p>- convertTrial<br>- enableSubscription<br>- disableSubscription<br>- setSubscriptionGracePeriod<br>- enableRecurringBilling<br>- disableRecurringBilling<br>- renewSubscription<br>- setSubscriptionUpgrade<br>- extendSubscription<br>- updateSubscriptionEndUser<br>- copyPaymentInfo (on APIv6)<br>- updateSubscription</p> | <p>- setSubscriptionCustomer<br>- setCustomRenewalPrice<br>- externalCustomerRef</p> |

#### Related resources

* [LCN Parameters](/2checkout-apis/2checkout-apis/webhooks/license-change-notification-lcn/lcn-parameters.md)
* [LCN POST failure recovery process](/2checkout-apis/2checkout-apis/webhooks/license-change-notification-lcn/lcn-post-failure-recovery-process.md)
* [LCN read receipt response for 2Checkout](https://app.gitbook.com/o/uOpE0pwQaikBOHcfkMgY/s/679iFU7z6UxBisoND9JE/~/edit/~/changes/30/2checkout-apis/webhooks/license-change-notification-lcn/lcn-read-receipt-response-for-2checkout)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/2checkout-apis/2checkout-apis/webhooks/license-change-notification-lcn/lcn-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
